﻿<%@ Page Title="" Language="C#" MasterPageFile="~/HelpDeskMaster.Master" AutoEventWireup="true" CodeBehind="AdminCompanies.aspx.cs" Inherits="HelpDesk.AdminCompanies" culture="auto" meta:resourcekey="PageResource1" uiculture="auto" %>
<%@ Register TagPrefix="crm" TagName="CompanyList" Src="~/CRMCompanyList.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<h2 class="breadcrumbs"> <a href="Admin.aspx">Administration</a> &raquo; <a href="Admin/Users"><asp:Label ID="Label2" runat="server" EnableViewState="False" meta:resourcekey="lblUsersResource1">Users</asp:Label></a> &raquo;
		<asp:Label ID="lblCompanies" runat="server" EnableViewState="False" 
		meta:resourcekey="lblCompaniesResource1">Companies</asp:Label></h2>

<p>This is the list of <b>companies</b> that can be assigned to your users. To add a new company simply edit some user and type in a new company name - the system will add it automatically.</p>
<p>You can set up an email domain for a company. For example company "A" has "<b>a.com</b>" as an email domain, if a new user with email "<b>john@a.com</b> creates a ticket, he will be registered with the company "A" automatically. You can specify more than one domain for a company, use semicolon as a delimiter: "a.com;a.co.uk"</p>
<p><asp:Label ID="lblCompaniesDesc" runat="server" CssClass="grey" EnableViewState="False" meta:resourcekey="lblCompaniesDescResource1">If Jitbit CRM integration is enabled, you can map HelpDesk companies to the entries in Jitbit CRM here.</asp:Label> 
<asp:Label ID="lbTrial" runat="server" ForeColor="Red" meta:resourcekey="lbTrialResource1">Editing is enabled in the full version only</asp:Label></p>

<asp:ScriptManager runat="server" ID="ScriptManager1" ScriptMode="Release"></asp:ScriptManager>

<asp:UpdatePanel runat="server" ID="UpdatePanel1">
<ContentTemplate>
	<asp:datagrid EnableViewState="false" id="gridCompanies" runat="server" CssClass="outerroundedborder horizseparated lightbg" 
		CellPadding="9" Width="100%" CellSpacing="-1" GridLines="None"
		AutoGenerateColumns="False" UseAccessibleHeader="True"
		OnEditCommand="gridCompanies_EditCommand"
		OnItemDataBound="gridCompanies_ItemDataBound"
		OnCancelCommand="gridCompanies_CancelCommand"
		OnUpdateCommand="gridCompanies_UpdateCommand" 
		OnItemCommand="gridCompanies_ItemCommand"
		meta:resourcekey="gridCompaniesResource1">
		<AlternatingItemStyle CssClass="alternativeLightbg" />
		<Columns>
			<asp:BoundColumn ReadOnly="True" Visible="False" DataField="CompanyID"></asp:BoundColumn>
			<asp:TemplateColumn HeaderText="Name">
				<ItemTemplate><a href="<%# VirtualPathUtility.ToAbsolute("~/") %>?FromCompanyID=<%# Eval("CompanyID") %>"><%# Eval("Name") %></a></ItemTemplate>
				<EditItemTemplate><asp:TextBox runat="server" ID="tbCompanyName" Text='<%# Eval("Name") %>'></asp:TextBox></EditItemTemplate>
				<ItemStyle Width="25%" />
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Email domain">
				<ItemTemplate><%# Eval("EmailDomain") %></ItemTemplate>
				<EditItemTemplate><asp:TextBox runat="server" ID="tbEmailDomain" Text='<%# Eval("EmailDomain") %>'></asp:TextBox></EditItemTemplate>
				<ItemStyle Width="25%" />
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Notes">
				<ItemTemplate><%# Eval("Notes") %></ItemTemplate>
				<EditItemTemplate><asp:TextBox runat="server" ID="tbNotes" Text='<%# Eval("Notes") %>'></asp:TextBox></EditItemTemplate>
				<ItemStyle Width="25%" CssClass="grey" />
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Name in Jitbit CRM">
				<ItemTemplate><span runat="server" ID="CRMName"></span></ItemTemplate>
				<EditItemTemplate><crm:CompanyList ID="crmList" runat="server" /></EditItemTemplate>
				<ItemStyle Width="25%" />
			</asp:TemplateColumn>
			<asp:EditCommandColumn ButtonType="PushButton" CancelText="cancel" EditText="edit" UpdateText="update"  ItemStyle-Wrap="false"
				meta:resourcekey="EditCommandColumnResource1"></asp:EditCommandColumn>
			<asp:TemplateColumn><ItemTemplate>
				<asp:Button ID="btnDelete" CssClass="graybutton" runat="server" CausesValidation="false" CommandName="Delete" Text="delete" OnClientClick="return confirm('are you sure?');"></asp:Button>
			</ItemTemplate></asp:TemplateColumn>
		</Columns>
	</asp:datagrid>
</ContentTemplate>
</asp:UpdatePanel>
<br />
<asp:TextBox ID="tbCompanyName" runat="server"></asp:TextBox> <asp:Button id="btnAdd" runat="server" Text="+" OnClick="btnAdd_Click" />

<p runat="server" visible="false" id="pError">
<asp:Label ID="lbError" runat="server" EnableViewState="False" meta:resourcekey="lbErrorResource1">Warning: failed to connect to Jitbit CRM; check the integration settings. The error was:</asp:Label> 
<span ID="lbException" runat="server"></span></p>

</asp:Content>
