<%@ Page Language="c#" CodeBehind="AdminSettings.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.AdminSettings" ValidateRequest="false" MasterPageFile="HelpDeskMaster.Master" %>
<%@ Import Namespace="HelpDesk.BusinessLayer" %>
<%@ Import Namespace="HelpDesk.Resources" %>
<%@ Import Namespace="Jitbit.Utils" %>
<%@ Register Src="~/LanguageList.ascx" TagName="LanguageList" TagPrefix="ll" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="Content1" runat="server">
<h2 class="breadcrumbs"><a href="Admin.aspx">Administration</a> &raquo; <asp:Label runat="server" ID="lblSettings" EnableViewState="False" meta:resourcekey="lblSettingsTitleResource1">General settings</asp:Label></h2>
<p><asp:Button ID="btnSaveTop" runat="server" Text="Save changes" OnClick="btnSave_Click" meta:resourcekey="btnSaveResource1" /></p>

<%--
<div>
<div><strong><a href="Admin.aspx">Administration</a> &raquo; <asp:Label runat="server" ID="lblSettings" EnableViewState="False" meta:resourcekey="lblSettingsResource1" Text="Settings"/></strong></div>
<p/>
</div>--%>

<div runat="server" id="divErrors" visible="false" enableviewstate="false"></div>

<script src="js/colorpicker.js" type="text/javascript"></script>
			
<div runat="server" id="divTestEmail" visible="false" enableviewstate="false"></div>

<table class="outerroundedbox grey admintable" width="100%">
<colgroup><col style="width:20%" /><col style="width:80%" /></colgroup>
<tr><th colspan="2">
	<h3><asp:Label ID="lblDesign" runat="server" EnableViewState="false">Design</asp:Label>
	<a href="javascript:DisplayHelp('<%=HelpFilePath()%>#design')">(?)</a></h3>
</th></tr>
<tr>
	<td><asp:Label AssociatedControlID="tbHeaderBGColor" meta:resourcekey="lblHeaderBGColorResource1" EnableViewState="false" runat="server" Text="Header background color:<br />(dark tones are highly recommended)" /></td>
	<td>
		<span style="background:#<%= Settings.HeaderBGColor %>;" class="colorsample"></span>&nbsp;<asp:TextBox ID="tbHeaderBGColor" runat="server"/>
		<button class="bluebutton" type="button" onclick="showColorGrid2('none', '<%=tbHeaderBGColor.ClientID %>')">...</button><span id="colorpicker201" class="colorpicker201"></span>
		<asp:RegularExpressionValidator ID="rgxvHeaderColor" runat="server" ValidationExpression="[0-9A-Fa-f]{6}" ControlToValidate="tbHeaderBGColor" Display="Dynamic" ErrorMessage="Wrong format"></asp:RegularExpressionValidator>
	</td>
</tr>
<tr>
	<td><asp:Label AssociatedControlID="tbHeaderBGColor" meta:resourcekey="lblHeaderTextColorResource1" EnableViewState="false" runat="server" Text="Header text color:" /></td>
	<td>
		<span style="background:#<%= Settings.HeaderTextColor %>;" class="colorsample"></span>&nbsp;<asp:TextBox ID="tbHeaderTextColor" runat="server"/>
		<button class="bluebutton" type="button" onclick="showColorGrid2('none', '<%=tbHeaderTextColor.ClientID %>')">...</button>
		<asp:RegularExpressionValidator ID="RegularExpressionValidator4" runat="server" ValidationExpression="[0-9A-Fa-f]{6}" ControlToValidate="tbHeaderTextColor" Display="Dynamic" ErrorMessage="Wrong format"></asp:RegularExpressionValidator>
	</td>
</tr>
<tr>
	<td><asp:Label AssociatedControlID="tbMenuBarBGColor" meta:resourcekey="lblMenuBarBGColorResource1" EnableViewState="false" runat="server" Text="Menu-bar background color:" /></td>
	<td>
		<span style="background:#<%= Settings.MenuBarBGColor %>;" class="colorsample"></span>&nbsp;<asp:TextBox ID="tbMenuBarBGColor" runat="server"/>
		<button class="bluebutton" type="button" onclick="showColorGrid2('none', '<%=tbMenuBarBGColor.ClientID %>')">...</button>
		<asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ValidationExpression="[0-9A-Fa-f]{6}" ControlToValidate="tbMenuBarBGColor" Display="Dynamic" ErrorMessage="Wrong format"></asp:RegularExpressionValidator>
	</td>
</tr>
<tr>
	<td><asp:Label AssociatedControlID="tbMenuBarTextColor" meta:resourcekey="lblMenuBarTextColorResource1" EnableViewState="false" runat="server" Text="Menu-bar tab text color:" /></td>
	<td>
		<span style="background:#<%= Settings.MenuBarTextColor %>;" class="colorsample"></span>&nbsp;<asp:TextBox ID="tbMenuBarTextColor" runat="server"/>
		<button class="bluebutton" type="button" onclick="showColorGrid2('none', '<%=tbMenuBarTextColor.ClientID %>')">...</button>
		<asp:RegularExpressionValidator ID="RegularExpressionValidator3" runat="server" ValidationExpression="[0-9A-Fa-f]{6}" ControlToValidate="tbMenuBarTextColor" Display="Dynamic" ErrorMessage="Wrong format"></asp:RegularExpressionValidator>
	</td>
</tr>
<tr valign="top">
	<td><asp:Label AssociatedControlID="fileLogo" meta:resourcekey="lblfileLogoResource1" EnableViewState="false" runat="server" Text="Logo image (30px height, <b style='color:red'>PNG</b>):<br/>Transparent background is <b>highly</b> recommended." /></td>
	<td>
		<asp:FileUpload ID="fileLogo" runat="server" /><br />
		<% if (Settings.LogoImage != null) { %>
			<img style="padding:5px;margin-top:5px;" class="adminlogo" src="LogoImage.ashx" alt="logo" />
			<br /><a href="javascript:void(0)" onclick="$('.adminlogo').remove();$(this).remove();$('#removeLogo').val('true');">remove logo</a>
		<% } %>
		<asp:HiddenField runat="server" ID="removeLogo" ClientIDMode="Static" EnableViewState="False"/>
	</td>
</tr>
<tr valign="top">
	<td style="vertical-align: top;"><asp:Label AssociatedControlID="tbCustomCSS" meta:resourcekey="lblCustomCSSResource1" EnableViewState="false" runat="server" Text="Custom CSS" /></td>
	<td>
		&lt;style&gt;<br/>
		<asp:TextBox ID="tbCustomCSS" runat="server" EnableViewState="False" TextMode="MultiLine" Rows="4" Columns="80" style="font-family: Consolas, Courier;"></asp:TextBox>
		<br/>&lt;/style&gt;
	</td>
</tr>
<tr><td></td><td><asp:Button ID="btnResetDesign" CssClass="bluebutton" runat="server" Text="reset to defaults" meta:resourcekey="btnResetDesignResource1" CausesValidation="false" onclick="btnResetDesign_Click" /></td></tr>
<tr><td></td><td>
<i>After updating the design settings you may have to open the homepage and hit F5 ("Refresh") several times in your browser to clear the browser's cache.</i>
</td></tr>
<tr><td colspan="2" style="border-bottom:1px solid #D2D5D7">&nbsp;</td></tr>
<tr>
	<td>Helpdesk title (displayed on top):</td>
	<td><asp:TextBox ID="tbInstanceDescr" runat="server" EnableViewState="False"></asp:TextBox></td>
</tr>
<tr id="trInstanceName" runat="server" enableviewstate="false">
	<td>Helpdesk URL:</td>
	<td>https://<asp:TextBox ID="tbInstanceName" runat="server" EnableViewState="False"></asp:TextBox>.jitbit.com</td>
</tr>
<tr id="trInstanceDomain" runat="server" enableviewstate="false" valign="top">
	<td>Custom domain:</td>
	<td>
		http://<asp:TextBox ID="tbInstanceDomain" runat="server" EnableViewState="False"></asp:TextBox>
		<div class="grey">leave blank to disable this feature</div>
		<a href="http://www.jitbit.com/hosted-helpdesk/articles/hosted-help-desk-custom-domain/" target="_blank">more info about custom domains</a>
	</td>
</tr>
<tr>
	<td colspan="2"><asp:CheckBox ID="cbHidePoweredBy" runat="server" Text="Hide the 'powered by' label from the page footer and from emails"/></td>
</tr>
</table>

<table class="outerroundedbox admintable grey" >
<colgroup><col style="width:20%" /><col style="width:80%" /></colgroup>

<tr>
	<th colspan="2">
		<h3><asp:Label runat="server" ID="lblVarious" EnableViewState="False" meta:resourcekey="lblVariousResource1" Text="Various settings"/>
		<a href="javascript:DisplayHelp('<%=HelpFilePath()%>#various')">(?)</a></h3>
	</th>
</tr>
<tr><td colspan="2"><asp:CheckBox ID="cbAllowGuestSubmission" runat="server" Text="Allow unregistered users submit tickets without logging in" meta:resourcekey="cbAllowGuestSubmissionResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbAllowAnonymousKBAccess" runat="server" Text="Allow unregistered users access the Knowledge Base" meta:resourcekey="cbAllowAnonymousKBAccessResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="chkAllowUserRegistration" runat="server" Text="Allow new users to register themselves (uncheck if you want to create all new users MANUALLY)" meta:resourcekey="chkAllowUserRegistrationResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbRestrictIssueDeletion" runat="server" Text="Restrict ticket deletion to Admins only (uncheck to allow users delete their own tickets)" meta:resourcekey="cbRestrictIssueDeletionResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbRestrictIssueClosing" runat="server" Text="Restrict ticket closing to Technicians only (uncheck to allow users Close their own tickets)" meta:resourcekey="cbRestrictIssueClosingResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbSeeEveryonesIssues" runat="server" Text="Everyone sees everyones tickets (not recommended)" meta:resourcekey="cbSeeEveryonesIssuesResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDisableKB" runat="server" Text="Disable the knowledge-base" meta:resourcekey="cbDisableKBResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDisableAssets" runat="server" Text="Disable Assets" meta:resourcekey="cbDisableAssetsResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDisableAvatars" runat="server" Text="Disable Avatars" meta:resourcekey="cbDisableAvatarsResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbAutoAssignFirstReplier" runat="server" Text="Auto-assign the first replying technician as ticket-agent (recommended)" meta:resourcekey="cbAutoAssignFirstReplierResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDontReopenOnReply" runat="server" Text="Do NOT reopen tickets automatically when a reply arrives via email (not recommended)" meta:resourcekey="cbDontReopenOnReplyResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbSameCompanyUserPermission" runat="server" Text="Allow users from the same company see each other's tickets" meta:resourcekey="cbSameCompanyUserPermissionResource1" /></td></tr>
<tr><td colspan="2"><asp:CheckBox ID="cbDisableAutoTimer" runat="server" Text="Disable automatic 'time spent' clock on the ticket page" meta:resourcekey="cbDisableAutoTimerResource1" /></td></tr>

		<tr>
			<td>
				<asp:Label runat="server" ID="lblLang" EnableViewState="False" meta:resourcekey="lblLangResource1" Text="Language:" AssociatedControlID="llLang" />
			</td>
			<td>
				<ll:languagelist id="llLang" runat="server" />
			</td>
		</tr>
		<tr>
			<td>
				<asp:Label runat="server" AssociatedControlID="ddlNewIssueCat" ID="lblDefaultCategory" EnableViewState="False" meta:resourcekey="lblDefaultCategoryResource1" Text="Default category (pre-selected on the 'new ticket' page):"/>
			</td>
			<td>
				<asp:DropDownList ID="ddlNewIssueCat" runat="server" DataTextField="Name" DataValueField="CategoryID" meta:resourcekey="ddlNewIssueCatResource1" />
			</td>
		</tr>
		<tr>
			<td >
				<asp:Label ID="lblAutoLoginSharedSecret" AssociatedControlID="tbAutoLoginSharedSecret" runat="server" EnableViewState="False" meta:resourcekey="lblAutoLoginSharedSecretResource1">Shared secret for remote authentication:</asp:Label>
			</td>
			<td>
				<asp:TextBox ID="tbAutoLoginSharedSecret" MaxLength="20" runat="server" EnableViewState="False"/>
				<button type="button" onclick="GenerateSecret()" runat="server" id="btnGenerateSecret">
					<asp:Label runat="server" meta:resourcekey="lblGenerateResource1" EnableViewState="false">generate</asp:Label></button>
				<br /><i class="grey"><asp:Label ID="lblAutoLoginSharedSecretHelp" runat="server" EnableViewState="False" meta:resourcekey="lblAutoLoginSharedSecretHelpResource1">Used for automatic user sign-in. See the manual for more info about the remote authentication API.</asp:Label></i>
				<script type="text/javascript">
					function GenerateSecret() { $('#<%= tbAutoLoginSharedSecret.ClientID %>').val(GeneratePassword(12)); }
				</script>
			</td>
		</tr>
		
		<% if (Instance.CurrentInstanceID != 0) { %>
		<tr>
			<td></td>
			<td><i>If you want to remotely-authenticate users via your Active Directory - download the AD-authentication integration script <a href="<%= VirtualPathUtility.ToAbsolute("~/Admin/IisAdScript/") %>">here</a>, you'll find the IIS-installation instructions inside.</i></td>
		</tr>
		<% } %>

		<tr>
			<td>
				<%= LangStrings.TimeZone %>
			</td>
			<td>
				<select name="selTimezone" id="selTimezone">
					<option value="-12" <%= (Settings.ServerUtcOffset == -12 ? "selected='selected' " : "") %> >(GMT -12:00) Eniwetok, Kwajalein</option>
					<option value="-11" <%= (Settings.ServerUtcOffset == -11 ? "selected='selected' " : "") %> >(GMT -11:00) Midway Island, Samoa</option>
					<option value="-10" <%= (Settings.ServerUtcOffset == -10 ? "selected='selected' " : "") %> >(GMT -10:00) Hawaii</option>
					<option value="-9" <%= (Settings.ServerUtcOffset == -9 ? "selected='selected' " : "") %> >(GMT -9:00) Alaska</option>
					<option value="-8" <%= (Settings.ServerUtcOffset == -8 ? "selected='selected' " : "") %> >(GMT -8:00) Pacific Time (US &amp; Canada)</option>
					<option value="-7" <%= (Settings.ServerUtcOffset == -7 ? "selected='selected' " : "") %> >(GMT -7:00) Mountain Time (US &amp; Canada)</option>
					<option value="-6" <%= (Settings.ServerUtcOffset == -6 ? "selected='selected' " : "") %> >(GMT -6:00) Central Time (US &amp; Canada), Mexico City</option>
					<option value="-5" <%= (Settings.ServerUtcOffset == -5 ? "selected='selected' " : "") %> >(GMT -5:00) Eastern Time (US &amp; Canada), Bogota, Lima</option>
					<option value="-4" <%= (Settings.ServerUtcOffset == -4 ? "selected='selected' " : "") %> >(GMT -4:00) Atlantic Time (Canada), Caracas, La Paz</option>
					<option value="-3" <%= (Settings.ServerUtcOffset == -3 ? "selected='selected' " : "") %> >(GMT -3:00) Brazil, Buenos Aires, Georgetown</option>
					<option value="-2" <%= (Settings.ServerUtcOffset == -2 ? "selected='selected' " : "") %> >(GMT -2:00) Mid-Atlantic</option>
					<option value="-1" <%= (Settings.ServerUtcOffset == -1 ? "selected='selected' " : "") %> >(GMT -1:00 hour) Azores, Cape Verde Islands</option>
					<option value="0" <%= (Settings.ServerUtcOffset == 0 ? "selected='selected' " : "") %> >(GMT) Western Europe Time, London, Lisbon, Casablanca</option>
					<option value="1" <%= (Settings.ServerUtcOffset == 1 ? "selected='selected' " : "") %> >(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris</option>
					<option value="2" <%= (Settings.ServerUtcOffset == 2 ? "selected='selected' " : "") %> >(GMT +2:00) Kaliningrad, South Africa</option>
					<option value="3" <%= (Settings.ServerUtcOffset == 3 ? "selected='selected' " : "") %> >(GMT +3:00) Baghdad, Riyadh, Madagaskar</option>
					<option value="4" <%= (Settings.ServerUtcOffset == 4 ? "selected='selected' " : "") %> >(GMT +4:00) Baku, Dubai, Moscow</option>
					<option value="5" <%= (Settings.ServerUtcOffset == 5 ? "selected='selected' " : "") %> >(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent</option>
					<option value="6" <%= (Settings.ServerUtcOffset == 6 ? "selected='selected' " : "") %> >(GMT +6:00) Almaty, Dhaka, Colombo</option>
					<option value="7" <%= (Settings.ServerUtcOffset == 7 ? "selected='selected' " : "") %> >(GMT +7:00) Bangkok, Hanoi, Jakarta</option>
					<option value="8" <%= (Settings.ServerUtcOffset == 8 ? "selected='selected' " : "") %> >(GMT +8:00) Beijing, Perth, Singapore, Hong Kong</option>
					<option value="9" <%= (Settings.ServerUtcOffset == 9 ? "selected='selected' " : "") %> >(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk</option>
					<option value="10" <%= (Settings.ServerUtcOffset == 10 ? "selected='selected' " : "") %> >(GMT +10:00) Eastern Australia, Guam, Vladivostok</option>
					<option value="11" <%= (Settings.ServerUtcOffset == 11 ? "selected='selected' " : "") %> >(GMT +11:00) Magadan, Solomon Islands, New Caledonia</option>
					<option value="12" <%= (Settings.ServerUtcOffset == 12 ? "selected='selected' " : "") %> >(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka</option>
				</select>
				<br /><i>Current UTC time is: <b><%= DateTime.UtcNow.ToString("HH:mm:ss") %> </b>
				<br />
				Current time in the selected zone: <b><%= VariousUtils.GetCurrTime().ToString("HH:mm:ss") %></b>
				<br />
				Curent time <b>on your computer: <span id="currCLientTime"></span></b> <a href="javascript:void(0)" onclick="setClientTimeZone()">set to your local timezone...</a>
				</i>
			</td>
		</tr>
		<tr>
			<td>
				<asp:Label runat="server" ID="lblDaysToCloseAfter" AssociatedControlID="tbDaysToCloseAfter" EnableViewState="False" meta:resourcekey="lblDaysToCloseAfterResource1" Text="Auto-close inactive ticket after (days):" />
			</td>
			<td><asp:TextBox ID="tbDaysToCloseAfter" runat="server" EnableViewState="False"/><br />
				<i class="grey"><asp:Label runat="server" EnableViewState="False" meta:resourcekey="lblDaysToCloseAfterHelpResource1">If a ticket has not been answered by the SUBMITTER within this time, the ticket is closed.</asp:Label></i>
			</td>
		</tr>
		<tr>
			<td style="vertical-align:top"><asp:Label ID="lblNewTicketNote" runat="server" EnableViewState="false" Text="Note on the ticket creation page" AssociatedControlID="tbNewTicketNote" meta:resourcekey="lblNewTicketNoteResource1"></asp:Label>:</td>
			<td><asp:TextBox ID="tbNewTicketNote" Rows="6" Columns="80" TextMode="MultiLine" runat="server" EnableViewState="false"></asp:TextBox><br />
			<em class="grey"><asp:Label ID="lblNewTicketNoteHelp" runat="server" Text="This note will be shown at the top of the ticket creation page and in the widget. <br />Use it to provide some tips for users before they create a new ticket. You can use HTML." meta:resource="lblNewTicketNoteHelpResource1"></asp:Label></em></td></tr>
	

</table>


<table class="outerroundedbox admintable grey" width="100%">
<colgroup><col style="width:20%" /><col style="width:80%" /></colgroup>
<tr><th colspan="2">
	<h3>Jitbit CRM integration (optional)</h3>
</th></tr>

		<tr>
			<td>
				<asp:Label runat="server" ID="lblCRMRootUrl" AssociatedControlID="tbCRMRootUrl" EnableViewState="False" meta:resourcekey="lblCRMRootUrl1" Text="Jitbit CRM root URL" />
			</td>
			<td><asp:TextBox ID="tbCRMRootUrl" runat="server" EnableViewState="False" Width="400" /><br />
				<i class="grey"><asp:Label runat="server" EnableViewState="False" meta:resourcekey="lblCRMRootUrlHelpResource1">Example - http://mysite/crm/ or http://acme.jitbit.com/crm/ </asp:Label></i>
			</td>
		</tr>
		<tr>
			<td>
				<asp:Label ID="lblCRMSharedKey" runat="server" AssociatedControlID="tbCRMSharedKey" EnableViewState="False" meta:resourcekey="lblCRMSharedKey1" Text="Jitbit CRM shared key" />
			</td>
			<td><asp:TextBox ID="tbCRMSharedKey" runat="server" Width="400" EnableViewState="False" /><br /><i class="grey">The shared key specified in Jitbit CRM</i></td>
		</tr>
		</table>

<p><asp:Button ID="btnSaveBottom" runat="server" Text="Save changes" OnClick="btnSave_Click" meta:resourcekey="btnSaveResource1" /></p>

<script type="text/javascript" src="js/passwordgen.js"></script>
<script type="text/javascript">
	function pad(n) { return ("0" + n).slice(-2); }
	function getCurrTime() {
		var dt=new Date(), h=dt.getHours(), m=dt.getMinutes(), s=dt.getSeconds(),
		curTime= pad(h)+':'+pad(m)+':'+pad(s);
		$("#currCLientTime").text(curTime);
	}
	getCurrTime();

	function setClientTimeZone() {
		var offset = Math.floor((new Date()).getTimezoneOffset() / 60);
		$('#selTimezone').val(offset);
	}
</script>

</asp:Content>